import * as _emotion_react_jsx_runtime from '@emotion/react/jsx-runtime';
import react__default from 'react';
import { TokenSize } from '../typographyTokens.js';

declare const HEADINGS: readonly ["h1", "h2", "h3", "h4", "h5", "h6"];
type Heading = (typeof HEADINGS)[number];
interface Props {
    children: react__default.ReactNode;
    size?: TokenSize;
    heading?: Heading;
    color?: string | undefined;
}
declare const getHeadlineText: (element: react__default.ReactNode) => string;
declare const Headline: ({ children, color, size, heading, }: Props) => _emotion_react_jsx_runtime.JSX.Element;
declare function headlineSelector(heading: Heading): string;
declare const ALL_HEADLINE_SELECTORS: string;

export { ALL_HEADLINE_SELECTORS, HEADINGS, Headline, Props, getHeadlineText, headlineSelector };
